<?php
/*
* Plugin Name: Essential Classy Addons For Elementor
* Description: Essential Classy Addons For Elementor Is the Best Addons for Elementor Comes With Free Widgets Including Accordion, Button, Business Hours, Changelog, Post Listing, Tabs, Image Hover Effect, Info Box, Marketing Link, Social Icons and more...
* Plugin URI: https://ecaddons.com/
* Author: KAP ASIAs
* Version: 3.0.58
* Author URI: http://kapasias.com/
* Text Domain: essential-classy-addons-for-elementor
* License: GNU General Public License v3.0
* Elementor tested up to: 4.0
* Elementor Pro tested up to: 4.0
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

define( 'ECAFE_VERSION', '3.0.58' );

define( 'ECAFE_PATH', plugin_dir_path( __FILE__ ) );
define( 'ECAFE_BASE_NAME', plugin_basename( __FILE__ ) );
define( 'ECAFE_URL', plugins_url( '/', __FILE__ ) );
define( 'ECAFE_ASSETS_PATH', ECAFE_URL . 'assets/' );
define( 'ECAFE_CLASSES_URL', ECAFE_PATH . 'classes/' );
define( 'ECAFE_LIVECOPY_PATH', ECAFE_PATH . 'element/livecopy/' );
define( 'ECAFE_POST', 'ec_theme_builder' );

/*
 * Load core file
 */
function EcPluginsLoaded() {
	// Schedule the translation loading on the init hook.
	add_action(
		'init',
		function () {
			load_plugin_textdomain(
				'essential-classy-addons-for-elementor',
				false,
				basename( __DIR__ ) . '/languages'
			);
		}
	);

	// Elementor loader
	require ECAFE_PATH . 'classes/class-loader.php';
}
add_action( 'plugins_loaded', 'EcPluginsLoaded' );
